Skip to main content
POST
Add an extra to the session's basket

Headers

X-AVP-Impersonation
string

Path Parameters

sessionId
string
required

Body

The extra identifier and the quantity required.

extraId
integer<int32>
required

The extra to add in the basket, as provided by the search/extras endpoint.

roomId
integer<int32>
required

The roomId of the extra to add in the basket (only for room extras), as provided by the search/extras endpoint.

quantity
integer<int32>
required

The quantity to add in the basket. Must not exceed the available quantity provided by the search/extras endpoint.

guestPosition
integer<int32>
required

The guest position in the Session.Context.Guests list the selected room will be occupied by.

Response

The basket has been updated correctly